Bug 427726 - f-spot can't display Oly E-510 RAW photos
f-spot can't display Oly E-510 RAW photos
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: f-spot (Show other bugs)
rawhide
All Linux
low Severity low
: ---
: ---
Assigned To: Christopher Aillon
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-01-07 00:07 EST by Ian Kent
Modified: 2008-03-01 16:00 EST (History)
0 users

See Also:
Fixed In Version: f-spot-0.4.2-4.fc9
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-03-01 16:00:06 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ian Kent 2008-01-07 00:07:09 EST
Description of problem:
After local disk import (with copy unchecked) RAW photos are blank.

Version-Release number of selected component (if applicable):
f-spot-0.4.0-3.fc8.x86_64
f-spot-0.4.1-1.fc9.x86_64.rpm

How reproducible:
Always.

Steps to Reproduce:
1. Attempt to import RAW photos taken by Oly E-510 (and probably E-410).
2. 
  
Actual results:
Apparent successful import has no E-510 images displayed.

Expected results:
Images displayed as normal.
Comment 1 Christopher Aillon 2008-01-08 13:33:53 EST
probably an issue in gphoto2
Comment 2 Ian Kent 2008-01-08 21:19:58 EST
No, it's not.

It was my mistake actually as after my install of F8
I didn't have dcraw installed, which is what caused
this.

The f-spot package doesn't depend on dcraw and probably
should and f-spot itself clearly doesn't check dcraw
exists or check that it has executed it successfully.

Ian
Comment 3 Christopher Aillon 2008-03-01 16:00:06 EST
Thanks.  Investigated further and f-spot execs dcraw.  It assumes the program is
there, so added the requires.

Note You need to log in before you can comment on or make changes to this bug.